# ValidationResult

Plugin validation result.

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**valid** | **boolean** |  | [default to undefined]
**errors** | **Array&lt;string&gt;** |  | [optional] [default to undefined]
**warnings** | **Array&lt;string&gt;** |  | [optional] [default to undefined]
**has_load_function** | **boolean** |  | [optional] [default to false]
**syntax_valid** | **boolean** |  | [optional] [default to false]
**security_passed** | **boolean** |  | [optional] [default to false]

## Example

```typescript
import { ValidationResult } from '@vipr/api';

const instance: ValidationResult = {
    valid,
    errors,
    warnings,
    has_load_function,
    syntax_valid,
    security_passed,
};
```

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)
